This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 42552 - gnome-vfs build requires
gnome-vfs build requires
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-vfs (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-28 04:12 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 15:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-28 04:12:41 EDT
Hi!

I cannot rebuild Gnome-vfs-1.0.1-1 on a RedHat 7.1 machine. I got the
following message:

 gcc -DHAVE_CONFIG_H -I. -I. -I.. -DGNOME_VFS_CONFDIR=\"/etc\"
-DGNOME_VFS_DATADIR=\"/usr/share\" -DGNOME_VFS_PREFIX=\"/usr\" -I..
-I../intl -I.. -I../intl -I../libgnomevfs -I/usr/include/glib-1.2
-I/usr/lib/glib/include -D_REENTRANT -I/usr/include/glib-1.2
-I/usr/lib/glib/include -I/usr/include -I/usr/include/gnome-xml -Wall
-Wunused -D_GNU_SOURCE -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
-DLIBDIR=\"/usr/lib\" -DSYSCONFDIR=\"/etc\" -DG_LOG_DOMAIN=\"GnomeVFS\" -O2
-march=i386 -mcpu=i686 -c gnome-vfs-application-registry.c  -fPIC -DPIC -o
.libs/gnome-vfs-application-registry.lo
In file included from gnome-vfs-application-registry.c:47:
gnome-vfs-mime-handlers.h:29:27: liboaf/liboaf.h: No such file or directory
In file included from gnome-vfs-mime-private.h:26,
                 from gnome-vfs-application-registry.c:48:
gnome-vfs-mime-monitor.h:28:27: gtk/gtkobject.h: No such file or directory
make[2]: *** [gnome-vfs-application-registry.lo] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/gnome-vfs-1.0.1/libgnomevfs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gnome-vfs-1.0.1'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.14403 (%build)


Daniel


PS: Sorry, I did not find a direct entry for Gnome-vfs on bugzilla
Comment 1 Need Real Name 2001-05-28 05:11:58 EDT
Hi!

I have finally succeeded in rebuilding gnome-vfs (I needed
GConf-1.0.1-2.i386.rpm, GConf-devel-1.0.1-2.i386.rpm, oaf-0.6.5-3.i386.rpm,
oaf-devel-0.6.5-3.i386.rpm). Gnome-vfs.src was not complaining about the lack of
GConf >= 0.9 on my system when I tried to rebuild it.

Daniel
Comment 2 Need Real Name 2001-05-28 05:17:11 EDT
One last thing:

During the rebuild it complains about unknown file format:

+ cp -pr AUTHORS COPYING ChangeLog NEWS README
/var/tmp/gnome-vfs-root/usr/share/doc/gnome-vfs-1.0.1
+ exit 0
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/a: File format not recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/ar: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/arj: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/cpio: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/deb: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/hp48: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/lha: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/mailfs: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/patchfs: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/rar: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/rpm: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/rpms: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/tar: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/trpm: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/zip: File format not
recognized
objdump: /var/tmp/gnome-vfs-root/usr/lib/vfs/extfs/zoo: File format not
recognized
Provides: libbzip2.so libextfs.so libfile.so libftp.so.0 libgconf.so
libgnomevfs-pthread.so.0 libgnomevfs.so.0 libgzip.so libhttp.so libvfs-pipe.so
libvfs-test.so.0 libvfs-translate.so
PreReq: /bin/sh /sbin/ldconfig rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(interp): /bin/sh /sbin/ldconfig
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Comment 3 Havoc Pennington 2002-03-04 15:20:09 EST
be sure we have oaf and gconf as build requires
Comment 4 Havoc Pennington 2002-03-05 16:26:31 EST
rawhide appears to have correct build requires

Note You need to log in before you can comment on or make changes to this bug.